/* Definitions of target machine for GNU compiler.  OSE ^68000/68020 version.
   Copyright 1987, 1988, 1992 Free Software Foundation, Inc.

This file is part of GNU CC.

GNU CC is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

GNU CC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GNU CC; see the file COPYING.  If not, write to
the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.  */

/* See m68k.h.  5 means 68020.  */

#ifndef TARGET_DEFAULT
#define TARGET_DEFAULT 5
#endif

#include "m68k/m68020-none.h"
#include "aoutos.h"

#define DBX_DEBUGGING_INFO
#undef SDB_DEBUGGING_INFO

#undef WCHAR_TYPE
#define WCHAR_TYPE "short unsigned int"

/* Provide required defaults for linker -e. */
 
#define LINK_SPEC "%{!nostdlib:%{!r*:%{!e*:-e start}}}"

/* Every structure or union's size must be a multiple of 2 bytes.  */

#define STRUCTURE_SIZE_BOUNDARY 16

/* User must provide startfile if desired.  */

#undef STARTFILE_SPEC
#define STARTFILE_SPEC ""
